import { Module } from '@nestjs/common';

import { TrpcService } from '@server/trpc/trpc.service';
import { ResourceModule } from '../resource/resource.module';
import { ShareCodeService } from './share-code.service';
import { ShareCodeRouter } from './share-code.router';

@Module({
  imports: [ResourceModule],
  providers: [TrpcService, ShareCodeService, ShareCodeRouter],
  exports: [ShareCodeService, ShareCodeRouter],
  controllers: [],
})
export class ShareCodeModule { }
